class OrderController < ApplicationController

  layout :determine_layout
  
  def determine_layout
    if request.xhr?
      false
    else
      "admin"
    end
  end



  def index
    @categories = Category.find(:all, :order => "position")
  end

#  def edit_item
#    if params[:replace]
#      @item = Item.find(params[:item_id])
#      render(:partial => "item")
#    end
#  end


#  def new_category
#    @category = Category.new
#  end


  def create_category
    @category = Category.new(params[:category])
    if @category.save
      @ok = true
      index
    end
    render :partial => "refresh_category"
  end

  def create_item
    @item = Item.new(params[:item])
    @item.category_id = params[:cat_id] # this is faster than @item.category = Category.find(session[:cat_id])
    @ok = true if @item.save
  end


  def update_category
    @category = Category.find(params[:cat_id])
    @ok = true if @category.update_attributes(params[:category])
    
    # update the params.. for the new edit action
#    params[:cat_name] = params[:category]['name']

  end
  
  def update_item
    @item = Item.find(params[:item_id])
    if @item.update_attributes(params[:item])
      @ok = true 
    else
      @cat_id = @item.category.id
    end
  end
  
  
  def list_categories
    @category = Category.find(:all, :order => "position")
  end
  
  def sort_categories
    @categories = Category.find(:all)
    @categories.each do |c|
      c.position = params['sorted-list'].index(c.id.to_s) + 1
      unless c.save
        @category = c
        break
      end
    end
    # requery for update the ordered category
    @categories = Category.find(:all, :order => "position")
    
    @ok = true unless @category
    
    render :partial => "refresh_category"
  end

  # TODO : increase SQL performance
  # http://wiki.rubyonrails.com/rails/pages/HowToUseDragAndDropSorting
  def sort_item
    list_name = params.keys.grep(/list_/).to_s
    list_id   = list_name.split("_")[2] #bleach!
    @items = Category.find(list_id).items
    @items.each do |i|
      i.position = params[list_name].index(i.id.to_s) + 1
      i.save
    end
    render :nothing => true
  end


  def toggle_category
    @category = Category.find(params[:id])
    toggle_enable(@category)
  end
  
  def toggle_item
    @item = Item.find(params[:id])
    toggle_enable(@item)
  end


  def destroy_category
    @category = Category.find(params[:id])
#    @category.items.destroy_all
    if ( @category.items.destroy_all && @category.destroy )
      @ok = true
      index
    end
    render :partial => "refresh_category" # missing 'category' object
  end
  
  def destroy_item
    Item.find(params[:id]).destroy
    render :nothing => true
  end


  def done
    if (request.xhr? && params[:item_id])
      @item = Item.find(params[:item_id])
      @cat_id = @item.category.id
      params[:cat_id] = @cat_id # per non cambiare l'rjs
    end
  end

end
