class Category < ActiveRecord::Base
  has_many :items, :order => :position
  
  
  def before_create
  # TODO: increase SQL performance
    if Category.count > 0
      self.position = self.class.find(:first, :order => "position DESC").position.succ
    end
  end
  
  validates_presence_of :name#, :message => "mancante"
  
  validates_length_of :name, :maximum => 50#, :message => "troppo lungo.. può essere massimo di %d caratteri"
  
  validates_numericality_of :position, :only_integer => true#, :message => "deve essere un intero!"

  validates_uniqueness_of :name
end
