class Item < ActiveRecord::Base
  belongs_to :category
  acts_as_list :scope => :category_id


#  def before_create
#    self.position = self.class.find(:first, :order => "position DESC", :conditions => ["category_id = ?", self.category_id]).position.succ
#  end


  validates_associated :category

  validates_presence_of :name, :price, :category_id
  
  validates_length_of :name, :maximum => 50

  validates_numericality_of :price
  validates_numericality_of :position, :category_id, :only_integer => true
  
  validates_uniqueness_of :name
  
  
  protected
  def validate
    errors.add(:price, "must be positive") unless  price.nil? || price >= 0.01
  end

end
