class LineItem < ActiveRecord::Base
  belongs_to :item
  belongs_to :order
  
  # per non registrare un valore vuoto ma NULL
#  def before_create
#    self.note = nil if self.note.empty?
#  end
  
  validates_presence_of :order_id, :item_id, :quantity, :price
  
  validates_length_of :note, :maximum => 100, :allow_nil => true

  validates_numericality_of :price
  validates_numericality_of :order_id, :item_id, :quantity, :only_integer => true
  
  protected
  def validate
    errors.add(:price, "must be positive") unless  price.nil? || price >= 0.01
  end
  
  
end