class Order < ActiveRecord::Base
  has_many :line_items

  # per non registrare un valore vuoto ma NULL
#  def before_create
#    unless self.note.nil?
#      self.note = nil if self.note.empty?
#    end
#  end
  
  validates_associated :line_items
  
  validates_presence_of :price
  
  validates_length_of :note, :maximum => 100, :allow_nil => true

  validates_numericality_of :price
#  validates_numericality_of :places, :only_integer => true
  
  protected
  def validate
    errors.add(:price, "must be positive") unless  price.nil? || price >= 0.01
  end
  
end
